clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::IncludeGraphNode Struct Reference

`#include <Headers.h>`

Collaboration diagram for clang::clangd::IncludeGraphNode:
[legend]

## Public Attributes
bool | IsTU = false
llvm::StringRef | URI
FileDigest | Digest {{0}}
std::vector< llvm::StringRef > | DirectIncludes

## Detailed Description

Definition at line 54 of file Headers.h.

## Member Data Documentation

## ◆ Digest

FileDigest clang::clangd::IncludeGraphNode::Digest {{0}}

Definition at line 58 of file Headers.h.

## ◆ DirectIncludes

std::vector<llvm::StringRef> clang::clangd::IncludeGraphNode::DirectIncludes

Definition at line 59 of file Headers.h.

## ◆ IsTU

bool clang::clangd::IncludeGraphNode::IsTU = false

Definition at line 56 of file Headers.h.

## ◆ URI

llvm::StringRef clang::clangd::IncludeGraphNode::URI

Definition at line 57 of file Headers.h.

The documentation for this struct was generated from the following file:

- Headers.h